function [gm,Mm,lm,Plyap] = wcgAnalysisEngine(PICT,PSIICT,IQCMode)
%WCGANALYSISENGINE decides which solver to call and for LTI/LPV synthesis.

if isa(PICT,'ss') || isa(PICT,'tf') || isa(PICT,'zpk')
    [gm,Mm,lm,Plyap,cvx_status] = wcgAnalysis(PICT,PSIICT,IQCMode);
    fprintf(['\n - CVX status is: ',cvx_status,'\n']);
elseif isa(PICT,'pss') || isa(PICT,'plftss') || isa(PICT,'upss')
    [gm,Mm,lm,Plyap,cvx_status] = wcgLPVAnalysis(PICT,PSIICT,IQCMode);
    fprintf(['\n - CVX status is: ',cvx_status,'\n']);
else
    warning(['Unknown input class: ',class(PICT),'.']);
end
end
